

Private Sub BOk_Click()

Dim filter1 As String

filter1 = GetFilter
   
DoCmd.OpenReport "BChargenListe", acDesign
If ODetailLieferungen Then
 Reports("BChargenListe").Section(0).Visible = True
Else
 Reports("BChargenListe").Section(0).Visible = False
End If
DoCmd.Save
DoCmd.Close
   
   
DoCmd.OpenReport "BChargenListe", acPreview, , filter1

End Sub

Private Sub BTagWeiter_Click()

TVon = TVon + 1
TBis = TBis + 1
RefreshAll

End Sub

Private Sub BTagZurueck_Click()

TVon = TVon - 1
TBis = TBis - 1
RefreshAll

End Sub

Private Sub Form_Activate()

RefreshAll

End Sub

Private Sub Form_Open(Cancel As Integer)

TVon = Date
TBis = Date
'TZNR = DFirst("ZNR", "TZweigstellen")
ODetailLieferungen = False

End Sub


Private Sub OListe_Click()

RefreshAll

End Sub

Private Sub Kombinationsfeld85_Click()
RefreshAll

End Sub

Private Sub Kombinationsfeld85_Exit(Cancel As Integer)

RefreshAll

End Sub

Private Sub TBis_Exit(Cancel As Integer)

RefreshAll

End Sub

Private Sub TBNR_Click()

RefreshAll

End Sub

Private Sub TBNR_Exit(Cancel As Integer)
RefreshAll

End Sub

Private Sub TBSNR_Click()

RefreshAll

End Sub

Private Sub TBSNR_Exit(Cancel As Integer)

RefreshAll

End Sub

Private Sub TCSNR_Click()

RefreshAll

End Sub

Private Sub TCSNR_Exit(Cancel As Integer)

RefreshAll

End Sub

Private Sub TSANR_Click()
RefreshAll

End Sub

Private Sub TSANR_Exit(Cancel As Integer)
RefreshAll

End Sub

Private Sub TSNR_Click()
RefreshAll

End Sub

Private Sub TSNR_Exit(Cancel As Integer)

RefreshAll

End Sub

Private Sub TVon_Exit(Cancel As Integer)

RefreshAll

End Sub


Function GetFilter()

Dim filter1 As String
Dim hk As String

If IsNull(TZNR) Then
 filter1 = " TChargen.CNR>0 "
Else
 filter1 = " TChargen.ZNR=" + Format(Forms!MChargenListe!TZNR)
End If

filter1 = filter1 + " AND [Befuellungsbeginn]>=Datevalue('" + Format([TVon], "dd.mm.yyyy") + "') AND [Befuellungsbeginn]<=Datevalue('" + Format([TBis], "dd.mm.yyyy") + "')"

If Not IsNull(TCSNR) And TCSNR > 0 Then
 filter1 = filter1 + " AND TChargen.CSNR=" + Format(TCSNR)
End If

If Not IsNull(TBNR) And TBNR > 0 Then
 filter1 = filter1 + " AND TChargen.BNR=" + Format(TBNR)
End If

If Not IsNull(TBSNR) And TBSNR > 0 Then
 filter1 = filter1 + " AND TBehaelter.BSNR=" + Format(TBSNR)
End If

If Not IsNull(TSNR) And TSNR <> "" Then
 filter1 = filter1 + " AND TChargen.SNR='" + Format(TSNR) + "'"
End If

If Not IsNull(TSANR) And TSANR <> "" Then
 filter1 = filter1 + " AND TChargen.SANR='" + Format(TSANR) + "'"
End If

'MsgBox (filter1)

 GetFilter = filter1


End Function

Sub RefreshAll()


Dim where2, where3


'If TZNR.ListIndex >= 0 Then
'where2 = " AND [TLieferungen].[ZNR]=[Formulare]![MLeseauswertung].[TZNR] "
'Else
'where2 = ""


'CalculateSums (where2)
RefreshBeschreibung

End Sub


Sub RefreshBeschreibung()

Dim Beschreibung As String


If Not IsNull(TVon) And Not IsNull(TBis) Then
 If TVon = TBis Then
  Beschreibung = Beschreibung + Format(TVon, "dd.mm.yyyy") + ", "
 Else
  Beschreibung = Beschreibung + Format(TVon, "dd.mm.yyyy") + "-" + Format(TBis, "dd.mm.yyyy") + ", "
 End If
Else
    If Not IsNull(TVon) Then
     Beschreibung = Beschreibung + "ab " + Format(TVon, "dd.mm.yyyy") + ", "
    End If
    If Not IsNull(TBis) Then
     Beschreibung = Beschreibung + "bis " + Format(TBis, "dd.mm.yyyy") + ", "
    End If
 
End If

If Not IsNull(TZNR) And TZNR > 0 Then
 Beschreibung = Beschreibung + "Zweigstelle=" + DFirst("Name", "TZweigstellen", "ZNR=" + Format(TZNR)) + ", "
End If

If Not IsNull(TCSNR) And TCSNR > 0 Then
 Beschreibung = Beschreibung + " Status = " + DFirst("ChargenStatus", "TChargenStatus", "CSNR=" + Format(TCSNR)) + ", "
End If

If Not IsNull(TBNR) And TBNR > 0 Then
 Beschreibung = Beschreibung + " Behälter = " + DFirst("Kurzbezeichnung", "TBehaelter", "BNR=" + Format(TBNR)) + ", "
End If

If Not IsNull(TBSNR) And TBSNR > 0 Then
 Beschreibung = Beschreibung + " Behälterstandort = " + DFirst("Standort", "TBehaelterStandorte", "BSNR=" + Format(TBSNR)) + ", "
End If

If Not IsNull(TSNR) And TSNR <> "" Then
 Beschreibung = Beschreibung + " Sorte = " + DFirst("Bezeichnung", "TSorten", "SNR='" + Format(TSNR) + "'") + ", "
End If

If Not IsNull(TSANR) And TSANR <> "" Then
 Beschreibung = Beschreibung + " Sortenattribut = " + DFirst("Attribut", "TSortenattribute", "SaNR='" + Format(TSANR) + "'") + ", "
End If


Beschreibung = Left(Beschreibung, Len(Beschreibung) - 2)

TBeschreibung = Beschreibung

End Sub


Private Sub TZNR_Click()

RefreshAll

End Sub

Private Sub TZNR_Exit(Cancel As Integer)

RefreshAll

End Sub

